TechPostcodeNl

Postcode.nl address validation

  • Popularity Score 3881 Popularity Score

    Popularity ScoreReferrals to Site/Downloads

    0 0 1+ 1+ 250+ 250+ 1000+ 1000+ 10000+ 10000+

Complement and validate Dutch addresses at Checkout.
Compatible with:
This extension is currently unavailable on Magento Connect. Please contact the developer.

You will be re-directed to the developer's website to complete your purchase.

You must be registered and logged in to get extension key.
In order to get this extension, you must be logged in to the Magento Community. Click here to login or register.

Magento Connect 2.0

Magento Connect 2.0

FREE
Previous Next
Overview

Postcode.nl address validation

Complement and validate Dutch addresses at Checkout with the free postcode Magento plugin from Postcode.nl, using the Postcode.nl Address API. The customer only has to provide postcode plus house number and the complete address will shown in the checkout process.

  ⁕  Prevent address errors
  ⁕  Reduce costs from undelivered mail and packages
  ⁕  Offer extra service for your customers with easy address entry
  ⁕  Improve sale conversion

The extension is activated whenever the Netherlands is the current country, or when the user selects the Netherlands. When another country is selected, the regular address fields are shown. The use of the Postcode.nl Magento extension is subject to our Terms and Conditions.

Get your Postcode.nl login information here: Postcode.nl API registration

Do you want help improve or extend this extension? Take a look at our GitHub page.

Other installation methods

Stand-alone 'zip' downloads of this extension are available.
You can also install this extension using modman (.modman file is contained in the zip), or the Magento Composer Installer (using this packagist project).

Magento version compatibility

The most recent 1.2.x.x versions of our extension support Magento CE v1.7 to v1.9, running on PHP 5.5 and up. (PHP 5.3 and 5.4 only have provisional support - please consider upgrading your PHP, for security & stability)

Checkout extension compatibility

The following checkout extensions have provisional support:

  ⁕  OneStepCheckout(.com)
  ⁕  GoMage LightCheckout
  ⁕  Fire Checkout 1.5 & 2.0
  ⁕  FME One Step Checkout
  ⁕  Quick One Page Checkout
  ⁕  MageStore One Step Checkout
  ⁕  IWD Free One Page / Step Checkout
  ⁕  Apptha One Step Checkout
  ⁕  Ecommerce Three-Step Checkout
  ⁕  Grafisch Direct One step checkout
  ⁕  EcommerceTeam Easy Checkout 2.0
  ⁕  Aitoc One Step Checkout Manager
  ⁕  AheadWorks One Step Checkout
  ⁕  J2T OneCheckout
  ⁕  MagentoTemplate OnePage Magento Checkout
  ⁕  MageWorld One Step Checkout Pro
  ⁕  MAGExtended MasterCheckout
  ⁕  Lotusbreath One Step Checkout

Please consider that checkout extensions may have new versions available unknown to us, or may have specific settings that can impact compatibility. You can always contact us at info "at" postcode.nl with questions and/or technical problems.

If you would like us to support a checkout extension you use, please let us know in a review, a private message, or send an email to info "at" postcode.nl!
M1 Extension Versions

PHP7, easier config

2016-07-18 12:13:21
  • Version number: 1.2.5.0
  • Stability: Stable
  • Compatibility: 1.7, 1.8, 1.8.1, 1.9, 1.9.1, 1.9.2
You must be registered and logged in to get extension key.

Magento Connect 2.0

Magento Connect 2.0

- Marked compatible with PHP7
- Simpler config for enabling addon in frontend and backend separately
- Updated readme texts and links
- Removed signal api

Magento patch compatibility

2015-07-08 12:01:14
  • Version number: 1.2.4.0
  • Stability: Stable
  • Compatibility: 1.6, 1.6.1, 1.6.2.0, 1.7, 1.8, 1.8.1, 1.9
You must be registered and logged in to get extension key.

Magento Connect 2.0

Magento Connect 2.0

- Fix for admin access issue related to SUPEE-6285 patch

Debugging improvements, minor fix

2015-06-29 09:30:47
  • Version number: 1.2.3.0
  • Stability: Stable
  • Compatibility: 1.6, 1.6.1, 1.6.2.0, 1.7, 1.8, 1.8.1, 1.9
You must be registered and logged in to get extension key.

Magento Connect 2.0

Magento Connect 2.0

Features:
- Added automatic connection testing
- Improved connection debugging assistance
- Added Dutch translations for admin

Fixes:
- Fixed error when using showcase option

Minor bug fixes

2015-06-17 08:21:42
  • Version number: 1.2.2.0
  • Stability: Stable
  • Compatibility: 1.6, 1.6.1, 1.6.2.0, 1.7, 1.8, 1.8.1, 1.9
You must be registered and logged in to get extension key.

Magento Connect 2.0

Magento Connect 2.0

- Better postcode matching
- Fixed street matching for Signal API

Signal API expansion, minor features

2015-02-09 12:04:48
  • Version number: 1.2.1.0
  • Stability: Stable
  • Compatibility: 1.6, 1.6.1, 1.6.2.0, 1.7, 1.8, 1.8.1, 1.9
You must be registered and logged in to get extension key.

Magento Connect 2.0

Magento Connect 2.0

- Add support for IP address checking and Dutch address checking with the Postcode.nl Signal API
- Added 'validation-passed' and 'validation-failed' css classes to checkout input fields, support for 'validate-immediate'
- Added provisional support for the Lotusbreath One Step Checkout extension
1 2 3 4 5
Q&A

gaat het samen met afterpay?

Wie weet of deze plugin ook werkt als je ook afterpay gebruikt? Ik weet dat die ook een adres check doen en dat dat niet altijd samen werkt. Iemand ervaring?
Asked by: Eva88
Beste Eva, Helaas is deze extensie op dit moment (versie 1.0.6.5) niet compatibel met de Afterpay extensie. We onderzoeken dit voor een toekomstige versie.
Answered by: TechPostcodeNl
Date published: 2013-10-22

Werkt deze plugin met OneStepCheckout?

Asked by: webmastermagento
If you mean the extension from 'http://onestepcheckout.com/', yes this extension is supported. Please be aware that if you do extensive configuration of your checkout extension (move fields around, remove fields), our extension might not correctly find the fields to enrich. You can always contact us at tech<at>postcode.nl with any detailed compatibility issues.
Answered by: TechPostcodeNl
Date published: 2015-04-04

Werkt een multistore/multicountry installatie met deze plugin?

(Kun je bijvoorbeeld de plugin per shop en enkel voor Nederland aanzetten?)
Asked by: webmastermagento
Ja, je kan in de Magento admin per shop verschillende systeem instellingen invoeren. Dus dan kan je bij de Nederlands shop de Postcode.nl API 'Enabled?' optie aanzetten, en bij een Engelse shop diezelfde optie uitzetten. Let wel dat de verrijkings velden sowieso niet getoond worden als het factuur/verstuur land niet Nederland is.
Answered by: TechPostcodeNl
Date published: 2013-10-22

SSL certificate problem: unable to get local issuer certificate

When I'll do a REST request to the API it will automatically use the HTTP protocol what results in the following error - SSL certificate problem: unable to get local issuer certificate
Asked by: suneco
A more extended answer for those encountering similar problems: since this extension connects via https to the postcode.nl servers, the webserver running the magento store needs an up-to-date SSL Central Authority certificate (CA cert) configured. This usually is the case, but some older systems might not have this configured properly. Contact your server administrator, and/or read this documentation: http://curl.haxx.se/docs/sslcerts.html
Answered by: TechPostcodeNl
Date published: 2014-08-16

error on adding user roles

I get an error when I want to add a user role to my backend. I'm on 1.0.6.5 The error is: Fatal error: Class 'Mage_PostcodeNl_Api_Helper_Data' not found in /app/Mage.php on line 546
Asked by: evelien
This error is resolved in latest version 1.0.8.0. Also, if you want resolve this error in your current version of this extension, just replace this code in config.xml of this extension: <helpers> <postcodenl_api> <class>PostcodeNl_Api_Helper</class> </postcodenl_api> </helpers> with <helpers> <postcodenl_api> <class>PostcodeNl_Api_Helper</class> </postcodenl_api> <PostcodeNl_Api> <class>PostcodeNl_Api_Helper</class> </PostcodeNl_Api> </helpers>
Answered by: nimitshah
Date published: 2014-06-03

Get 404 error by opening in system conf.

Hi after intstalling the plugin I get an 404 error in my system -> conf -> Postcode.nl API. Can anybody help me because I would use this plugin.
Asked by: ajprins
Hi ajprins, Magento caches some access rights in sessions - this issue is most likely fixed by logging out with your admin user, and then logging in again.
Answered by: TechPostcodeNl
Date published: 2013-10-22

Does this work using the original onestepcheckout

I see some remarks that this works with different onestepcheckouts. On magento there is 1 original onestepcheckout, is this supported.
Asked by: bobmats
If you mean the extension as available on http://onestepcheckout.com/, yes we support that extension. If you mean the included 'one step' checkout in magento itself (not an extension), that is also supported. Please check/follow the links on our overview page for the precise list of supported extensions (they are all named very similarly unfortunately). You can always contact us at tech<at>postcode.nl with any compatibility issues and we'll gladly assist.
Answered by: TechPostcodeNl
Date published: 2015-04-04

Extension not working at backend new order creation time

Hi, When I try to create new order from backend, then first time the auto-validation of postcode and housenumber fields are not activated. The new order creation page has address part normal. But when I refresh the page, the postcode and house number validation fields get activated. I want the extension to be working on the first time also. Please give me a fix for this bug. Please help me out. Regards, Nimit Shah
Asked by: nimitshah
Hi Nimit, Thank you for your feedback, we will investigate your issue. If you have any additional information, please contact us at tech<at>postcode.nl. Kind regards, Postcode.nl Tech Support
Answered by: TechPostcodeNl
Date published: 2013-12-21

Error Just updated to 1.2.0.1

After installing the extension i get an error on the checkout page: Fatal error: Call to undefined method PostcodeNl_Api_Helper_Data::getJsinit() in jsinit.phtml on line 1 What can i do to fix this. I updated from an early version.
Asked by: skraak

Work with Firecheckout

My shop is using firecheckout. How i can connect postcode with firecheckout?
Asked by: adminko2013
  • y_2017, m_2, d_24, h_1CST
  • bvseo_bulk, prod_bvqa, vn_bulk_0.0
  • cp_1, bvpage1
  • co_hasquestionsanswers, tq_11
  • loc_en_US, sid_14360, prod, sort_[SortEntry(order=LOCALE, direction=DESCENDING), SortEntry(order=FEATURED, direction=DESCENDING), SortEntry(order=NUM_ANSWERS, direction=DESCENDING)]
  • clientName_magento
Get Help

Support for This Extension

The best place to start if you need help with a specific extension is to contact the developer. All Magento developers have both a contact email and a support email listed.

Magento Platform Support

If you need support for a Magento platform, there are different options for support depending on which Magento platform you are using. Below are links for specific platforms.

Reviews

About the Developer

This extension was developed by and is supported by TechPostcodeNl

Postcode.nl address validation is rated NaN out of 5 by 11.
Rated 4 out of 5 by from Fields are hidden First off all, thanks for this great extension! I use the: "MageWorld One Step Checkout Pro" extension. After installing the "postcode.nl" solution the fields are not visable anymore. When I look in the the sourcecode I can see that the field are hidden by a CSS class called: pcnl-hidden-field. It works fine when I remove is. Any idea what im missing here? Thanks in advance, Peter Magento 1.8
Date published: 2015-09-25
Rated 5 out of 5 by from Great module Works well on magento 1.9 and onestepcheckout! Works as descibed.
Date published: 2015-07-01
Rated 3 out of 5 by from Problems with version 1.2? Discovered the extension today, and also today version 1.2 was released. After installation on Magento CE 1.9.1 the plugin wasn't available in the admin console. Uninstalled, installed the older version 1.1.2.1 and that was available in the admin. After upgrade to 1.2, it's gone again. Seems there is a problem in 1.2?
Date published: 2014-12-03
Rated 4 out of 5 by from Confirmed to work perfectly Confirmed to work in 1.9 with Firecheckout! Install was done in minutes, requested an api key online and we were good to go.
Date published: 2014-10-19
Rated 5 out of 5 by from Works straight out of the box I see some negative feedback, but no issues here. Don't know if it's because of the version (1.9.0.1), or the onstepcheckout.com version (latest) I'm using, but everything works just fine without any hassle. Very useful and fully implemented + tested within 15 minutes.
Date published: 2014-07-16
Rated 1 out of 5 by from No docs for onestepcheckout checked postcode.nl for this extension. It should support onesetpcheckout. Problem is there is no documentation on how this can be supported. when installed it breaks my onestepcheckout template, so I disabled this. on postcode.nl it mentions you can get installation help for 36 euro standard amgento checkout and 125 euro for onestepcheckout. So basically in order to get this extension to work using onestep checkout you need to pay 125 euro. Since there is no documentation how to get this to work, I would suggest to change the status of this extension from free to paid.
Date published: 2013-12-23
Rated 2 out of 5 by from Doesnt work with IWD One Page Checkout It says it works with IWD Free One Page Checkout but I can't seem to get it to work. Ended up deactivating the module to get checkout running again.
Date published: 2013-11-06
Rated 1 out of 5 by from 404 Error I get an 404 error when i click on system -> configuration -> Postcode.nl API Magento versie 1.7.0.2
Date published: 2013-05-02
Rated 5 out of 5 by from Mooie extensie Perfecte extensie en helemaal gratis! Adviseer deze extensie aan iedereen.
Date published: 2013-03-05
Rated out of 5 by from Werkt perfect in 1.7
Date published: 2013-02-08
  • y_2017, m_2, d_24, h_3
  • bvseo_bulk, prod_bvrr, vn_bulk_0.0
  • cp_1, bvpage1
  • co_hasreviews, tv_0, tr_11
  • loc_en_US, sid_14360, prod, sort_[SortEntry(order=FEATURED, direction=DESCENDING), SortEntry(order=SUBMISSION_TIME, direction=DESCENDING)]
  • clientName_magento

In order to upload extension, you must be logged in to the Magento Community. Click here to login or register.

Close

Register

* Required Fields

Close window

Forgot Your Password?

Please enter your email below and we'll send you a new password.

* Required Fields

Close window

Login

To upload extension you must be logged in.

* Required Fields

Close window

You are using an outdated browser

We built Magento Connect using the latest techniques and technologies.
This makes Magento Connect faster and easier to use.
Unfortunately, your browser doesn't support those technologies.
Use the links below to download a new browser or upgrade your existing browser.